package discovery

import (
	"git.loafle.net/overflow/model/meta"
	"git.loafle.net/overflow/model/util"
)

type Service struct {
	MetaCryptoType *meta.MetaCryptoType `json:"metaCryptoType,omitempty"`
	Key            string               `json:"key,omitempty"`
	Name           string               `json:"name,omitempty"`
	Description    string               `json:"description,omitempty"`

	Meta           map[string]map[string]string `json:"meta,omitempty"`
	DiscoveredBy   []string                     `json:"discoveredBy,omitempty"`
	DiscoveredDate *util.Timestamp              `json:"discoveredDate,omitempty"`

	Port *Port `json:"port,omitempty"`
}
